PDLZIP(1)

NAME
Pdlzip - reduces the size of files

SYNOPSIS
pdlzip [options] [files]

DESCRIPTION
Pdlzip - A "public domain" version of the lzip data compressor also able to decompress legacy lzma-alone (.lzma) files.

OPTIONS

-h, --help
    display this help and exit

-V, --version
    output version information and exit

-c, --stdout
    send output to standard output

-d, --decompress
    decompress

-f, --force
    overwrite existing output files

-F, --recompress
    force recompression of compressed files

-k, --keep
    keep (don't delete) input files

-m, --match-length=<bytes>
    set match length limit in bytes [36]

-o, --output=<file>
    if reading stdin, place the output into <file>

-q, --quiet
    suppress all messages

-s, --dictionary-size=<bytes>
    set dictionary size limit in bytes [8MiB]

-t, --test
    test compressed file integrity

-v, --verbose
    be verbose (a 2nd -v gives more)

-1 .. -9
    set compression level [default 6]

--fast
    alias for -1

--best
    alias for -9

If no file names are given, pdlzip compresses or decompresses from standard input to standard output. Numbers may be followed by a multiplier: k = kB = 10^3 = 1000, Ki = KiB = 2^10 = 1024, M = 10^6, Mi = 2^20, G = 10^9, Gi = 2^30, etc... The bidimensional parameter space of LZMA can't be mapped to a linear scale optimal for all files. If your files are large, very repetitive, etc, you may need to use the --match-length and --dictionary-size options directly to achieve optimal performance.

Exit status: 0 for a normal exit, 1 for environmental problems (file not found, invalid flags, I/O errors, etc), 2 to indicate a corrupt or invalid input file, 3 for an internal consistency error (eg, bug) which caused pdlzip to panic.

REPORTING BUGS
Report bugs to lzip-bug@nongnu.org
Pdlzip home page: http://www.nongnu.org/lzip/pdlzip.html

COPYRIGHT
Copyright © 2013 Antonio Diaz Diaz. Public Domain 2009 Igor Pavlov.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.